Name:           metamorphose2
Version:        0.8.3
Release:        1.20170220git989705c%{?dist}
Summary:        A cross platform file and folder mass renamer

Group:          Applications/File
License:        GPLv2+
URL:            https://github.com/uggla/metamorphose2
Source0:        http://uggla.free.fr/rpmbuild/SOURCES/%{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python2 desktop-file-utils gettext
Requires:       wxPython python-mutagen python2-pillow


%description
A cross platform file and folder mass renamer, allows many different
renaming operations in a GUI. Features include search and replace (with RE),
insert, numbering, date/time, id3 & EXIF tag read, change length, get all
files in sub directories, undo/redo, etc.


%prep
%setup -q -n %{name}_%{version}

sed -i -e "s|Categories=Utility;Filesystem;|Categories=Utility;System;|" metamorphose2.desktop

sed -i "/\/usr\/bin\/env/d" src/operations/greekNumb.py

%build


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
# Fix files configured according to DESTDIR
sed -i -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/usr/bin/metamorphose2
sed -i -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/usr/share/metamorphose2/app.py

# Remove .travis.yml to fix rpmlint warning
rm -f $RPM_BUILD_ROOT/usr/share/metamorphose2/exif/.travis.yml

# Change python interpreter to fix rpmlint errors
sed -i -e "s|/usr/bin/env python|/usr/bin/python2|g"  $RPM_BUILD_ROOT/usr/share/metamorphose2/metamorphose2.py
sed -i -e "s|/usr/bin/env python|/usr/bin/python2|g"  $RPM_BUILD_ROOT/usr/share/metamorphose2/exif/EXIF.py


desktop-file-install --vendor=""                                    \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications/              \
        %{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Apr 18 2017 René Ribaud <uggla@free.fr> - 0.8.3-1.20170220git989705c
- Fix Metamorphose crash with wxPython3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 22 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.8.2-1
- Update to 0.8.2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 pingou <pingou@pingoured.fr> 0.7.1-4
- Add python-mutagen as Requires
- from the doc tag for document in _datadir/doc

* Mon Dec 20 2010 pingou <pingou@pingoured.fr> 0.7.1-3
- Remove wxGTK from Requires
- Use wildcard for the man pages
- Remove gettext from BuildRequires
- Remove shebang from non-script files

* Thu Dec 09 2010 pingou <pingou@pingoured.fr> 0.7.1-2
- Change version from 2.0.7.1 to 0.7.1 since the version 2 is already included in the name
- Fix the .desktop file
- Adjust changelog to reflect choice made on the version numbering

* Thu Dec 09 2010 pingou <pingou@pingoured.fr> 0.7.1-1
- Update to 0.7.1

* Sat May 08 2010 pingou <pingou@pingoured.fr> 0.7.0-1
- Update to 0.7.0

* Sat Mar 21 2009 Pingou <pingoufc4@yahoo.fr> 0.6.0-1
- Update to version 0.6.0

* Tue May 06 2008 Pingou <pingoufc4@yahoo.fr> 0.4.3-1
- Update to version 0.4.3

